Does anyone have a working ipk for openswan and the 2.4.18 ipsec kernel module?

Tried to pull it from familiar 0.8.2 feed but I keep getting zcat errors from the package manager
when I go to install them (not in gzip format). Tried pulling down w/firefox and w/gftp in both ascii
and binary to see if it was being corrupted on dl but no joy. Think the ipk in their feed is corrupt.

I'm hoping to get an ipsec vpn solution working w/pdaxrom

Thanks
K